Index: /orxonox/branches/bensch/Makefile
===================================================================
--- /orxonox/branches/bensch/Makefile	(revision 1822)
+++ /orxonox/branches/bensch/Makefile	(revision 1823)
@@ -132,5 +132,5 @@
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
-ISODATE = 2004-04-13
+ISODATE = 2004-04-14
 LDFLAGS = 
 LIBOBJS = 
Index: /orxonox/branches/bensch/autom4te.cache/output.0
===================================================================
--- /orxonox/branches/bensch/autom4te.cache/output.0	(revision 1822)
+++ /orxonox/branches/bensch/autom4te.cache/output.0	(revision 1823)
@@ -272,5 +272,5 @@
 PACKAGE_BUGREPORT=
 
-ac_unique_file="orxonox.cc"
+ac_unique_file="orxonox_gui.c"
 # Factoring default headers for most tests.
 ac_includes_default="\
@@ -310,5 +310,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot ISODATE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP EGREP ALLOCA LIB@&t@OBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot ISODATE build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP ALLOCA LIB@&t@OBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -767,12 +767,4 @@
 ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
 ac_cv_env_CPPFLAGS_value=$CPPFLAGS
-ac_env_CXX_set=${CXX+set}
-ac_env_CXX_value=$CXX
-ac_cv_env_CXX_set=${CXX+set}
-ac_cv_env_CXX_value=$CXX
-ac_env_CXXFLAGS_set=${CXXFLAGS+set}
-ac_env_CXXFLAGS_value=$CXXFLAGS
-ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
-ac_cv_env_CXXFLAGS_value=$CXXFLAGS
 ac_env_CPP_set=${CPP+set}
 ac_env_CPP_value=$CPP
@@ -868,6 +860,4 @@
   CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
               headers in a nonstandard directory <include dir>
-  CXX         C++ compiler command
-  CXXFLAGS    C++ compiler flags
   CPP         C preprocessor
 
@@ -1606,5 +1596,5 @@
 # Define the identity of the package.
  PACKAGE=orxonox
- VERSION=0.1.0
+ VERSION=0.0.0
 
 
@@ -2974,463 +2964,4 @@
 
 
-ac_ext=cc
-ac_cpp='$CXXCPP $CPPFLAGS'
-ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-if test -n "$ac_tool_prefix"; then
-  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
-  do
-    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
-set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_prog_CXX+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test -n "$CXX"; then
-  ac_cv_prog_CXX="$CXX" # Let the user override the test.
-else
-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-fi
-fi
-CXX=$ac_cv_prog_CXX
-if test -n "$CXX"; then
-  echo "$as_me:$LINENO: result: $CXX" >&5
-echo "${ECHO_T}$CXX" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-    test -n "$CXX" && break
-  done
-fi
-if test -z "$CXX"; then
-  ac_ct_CXX=$CXX
-  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
-do
-  # Extract the first word of "$ac_prog", so it can be a program name with args.
-set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test -n "$ac_ct_CXX"; then
-  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
-else
-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_prog_ac_ct_CXX="$ac_prog"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-fi
-fi
-ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
-if test -n "$ac_ct_CXX"; then
-  echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
-echo "${ECHO_T}$ac_ct_CXX" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-  test -n "$ac_ct_CXX" && break
-done
-test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
-
-  CXX=$ac_ct_CXX
-fi
-
-
-# Provide some information about the compiler.
-echo "$as_me:$LINENO:" \
-     "checking for C++ compiler version" >&5
-ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-  (eval $ac_compiler --version </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
-  (eval $ac_compiler -v </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
-  (eval $ac_compiler -V </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-
-echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
-echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
-if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-#ifndef __GNUC__
-       choke me
-#endif
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_compiler_gnu=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_compiler_gnu=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
-echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
-GXX=`test $ac_compiler_gnu = yes && echo yes`
-ac_test_CXXFLAGS=${CXXFLAGS+set}
-ac_save_CXXFLAGS=$CXXFLAGS
-CXXFLAGS="-g"
-echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
-echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
-if test "${ac_cv_prog_cxx_g+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_prog_cxx_g=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_prog_cxx_g=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
-echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
-if test "$ac_test_CXXFLAGS" = set; then
-  CXXFLAGS=$ac_save_CXXFLAGS
-elif test $ac_cv_prog_cxx_g = yes; then
-  if test "$GXX" = yes; then
-    CXXFLAGS="-g -O2"
-  else
-    CXXFLAGS="-g"
-  fi
-else
-  if test "$GXX" = yes; then
-    CXXFLAGS="-O2"
-  else
-    CXXFLAGS=
-  fi
-fi
-for ac_declaration in \
-   '' \
-   'extern "C" void std::exit (int) throw (); using std::exit;' \
-   'extern "C" void std::exit (int); using std::exit;' \
-   'extern "C" void exit (int) throw ();' \
-   'extern "C" void exit (int);' \
-   'void exit (int);'
-do
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-@%:@include <stdlib.h>
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-continue
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-rm -f conftest*
-if test -n "$ac_declaration"; then
-  echo '#ifdef __cplusplus' >>confdefs.h
-  echo $ac_declaration      >>confdefs.h
-  echo '#endif'             >>confdefs.h
-fi
-
-ac_ext=c
-ac_cpp='$CPP $CPPFLAGS'
-ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
-ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
-ac_compiler_gnu=$ac_cv_c_compiler_gnu
-
-depcc="$CXX"  am_compiler_list=
-
-echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
-echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
-if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
-  # We make a subdir and do the tests there.  Otherwise we can end up
-  # making bogus files that we don't know about and never remove.  For
-  # instance it was reported that on HP-UX the gcc test will end up
-  # making a dummy file named `D' -- because `-MD' means `put the output
-  # in D'.
-  mkdir conftest.dir
-  # Copy depcomp to subdir because otherwise we won't find it if we're
-  # using a relative directory.
-  cp "$am_depcomp" conftest.dir
-  cd conftest.dir
-  # We will build objects and dependencies in a subdirectory because
-  # it helps to detect inapplicable dependency modes.  For instance
-  # both Tru64's cc and ICC support -MD to output dependencies as a
-  # side effect of compilation, but ICC will put the dependencies in
-  # the current directory while Tru64 will put them in the object
-  # directory.
-  mkdir sub
-
-  am_cv_CXX_dependencies_compiler_type=none
-  if test "$am_compiler_list" = ""; then
-     am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
-  fi
-  for depmode in $am_compiler_list; do
-    # Setup a source with many dependencies, because some compilers
-    # like to wrap large dependency lists on column 80 (with \), and
-    # we should not choose a depcomp mode which is confused by this.
-    #
-    # We need to recreate these files for each test, as the compiler may
-    # overwrite some of them when testing with obscure command lines.
-    # This happens at least with the AIX C compiler.
-    : > sub/conftest.c
-    for i in 1 2 3 4 5 6; do
-      echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
-      # Solaris 8's {/usr,}/bin/sh.
-      touch sub/conftst$i.h
-    done
-    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
-
-    case $depmode in
-    nosideeffect)
-      # after this tag, mechanisms are not by side-effect, so they'll
-      # only be used when explicitly requested
-      if test "x$enable_dependency_tracking" = xyes; then
-	continue
-      else
-	break
-      fi
-      ;;
-    none) break ;;
-    esac
-    # We check with `-c' and `-o' for the sake of the "dashmstdout"
-    # mode.  It turns out that the SunPro C++ compiler does not properly
-    # handle `-M -o', and we need to detect this.
-    if depmode=$depmode \
-       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
-       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
-       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
-         >/dev/null 2>conftest.err &&
-       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
-       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
-       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
-      # icc doesn't choke on unknown options, it will just issue warnings
-      # (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored.
-      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
-        am_cv_CXX_dependencies_compiler_type=$depmode
-        break
-      fi
-    fi
-  done
-
-  cd ..
-  rm -rf conftest.dir
-else
-  am_cv_CXX_dependencies_compiler_type=none
-fi
-
-fi
-echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
-echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
-CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
-
- 
-
-if 
-  test "x$enable_dependency_tracking" != xno \
-  && test "$am_cv_CXX_dependencies_compiler_type" = gcc3; then
-  am__fastdepCXX_TRUE=
-  am__fastdepCXX_FALSE='#'
-else
-  am__fastdepCXX_TRUE='#'
-  am__fastdepCXX_FALSE=
-fi
-
-
 
 
@@ -4088,4 +3619,5 @@
 
 
+
 echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5
 echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6
@@ -5972,11 +5504,4 @@
 Usually this means the macro was only invoked conditionally." >&5
 echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-if test -z "${am__fastdepCXX_TRUE}" && test -z "${am__fastdepCXX_FALSE}"; then
-  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCXX\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
@@ -6561,10 +6086,4 @@
 s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
 s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
-s,@CXX@,$CXX,;t t
-s,@CXXFLAGS@,$CXXFLAGS,;t t
-s,@ac_ct_CXX@,$ac_ct_CXX,;t t
-s,@CXXDEPMODE@,$CXXDEPMODE,;t t
-s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
-s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
 s,@CPP@,$CPP,;t t
 s,@EGREP@,$EGREP,;t t
Index: /orxonox/branches/bensch/autom4te.cache/requests
===================================================================
--- /orxonox/branches/bensch/autom4te.cache/requests	(revision 1822)
+++ /orxonox/branches/bensch/autom4te.cache/requests	(revision 1823)
@@ -13,5 +13,5 @@
                         '/usr/share/autoconf/autoconf/autoconf.m4f',
                         'aclocal.m4',
-                        'configure.in'
+                        'configure.ac'
                       ],
                       {
@@ -56,6 +56,6 @@
                         'AC_FUNC_STRERROR_R' => 1,
                         'AC_PROG_CC' => 1,
+                        'AC_DECL_SYS_SIGLIST' => 1,
                         'AC_FUNC_FORK' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
                         'AC_FUNC_STRCOLL' => 1,
                         'AC_FUNC_VPRINTF' => 1,
@@ -88,5 +88,4 @@
                         'AC_C_CONST' => 1,
                         'AC_TYPE_PID_T' => 1,
-                        'AM_ENABLE_MULTILIB' => 1,
                         'AC_CONFIG_FILES' => 1,
                         'include' => 1,
@@ -94,6 +93,6 @@
                         'AC_PROG_INSTALL' => 1,
                         'AM_GNU_GETTEXT' => 1,
+                        'AC_CHECK_LIB' => 1,
                         'AC_FUNC_OBSTACK' => 1,
-                        'AC_CHECK_LIB' => 1,
                         'AC_FUNC_MALLOC' => 1,
                         'AC_FUNC_GETGROUPS' => 1,
@@ -113,406 +112,4 @@
                         'AC_CHECK_FUNCS' => 1
                       }
-                    ], 'Autom4te::Request' ),
-             bless( [
-                      '1',
-                      1,
-                      [
-                        '/usr/share/autoconf'
-                      ],
-                      [
-                        '/usr/share/autoconf/autoconf/autoconf.m4f',
-                        '/usr/share/aclocal-1.8/amversion.m4',
-                        '/usr/share/aclocal-1.8/auxdir.m4',
-                        '/usr/share/aclocal-1.8/cond.m4',
-                        '/usr/share/aclocal-1.8/depend.m4',
-                        '/usr/share/aclocal-1.8/depout.m4',
-                        '/usr/share/aclocal-1.8/header.m4',
-                        '/usr/share/aclocal-1.8/init.m4',
-                        '/usr/share/aclocal-1.8/install-sh.m4',
-                        '/usr/share/aclocal-1.8/lead-dot.m4',
-                        '/usr/share/aclocal-1.8/make.m4',
-                        '/usr/share/aclocal-1.8/missing.m4',
-                        '/usr/share/aclocal-1.8/mkdirp.m4',
-                        '/usr/share/aclocal-1.8/options.m4',
-                        '/usr/share/aclocal-1.8/sanity.m4',
-                        '/usr/share/aclocal-1.8/strip.m4',
-                        'acinclude.m4',
-                        'configure.in'
-                      ],
-                      {
-                        'm4_pattern_forbid' => 1,
-                        'AC_CONFIG_LIBOBJ_DIR' => 1,
-                        'AC_C_VOLATILE' => 1,
-                        'AC_TYPE_OFF_T' => 1,
-                        'AC_FUNC_CLOSEDIR_VOID' => 1,
-                        'AC_REPLACE_FNMATCH' => 1,
-                        'AC_PROG_LIBTOOL' => 1,
-                        'AM_PROG_MKDIR_P' => 1,
-                        'AC_FUNC_STAT' => 1,
-                        'AC_FUNC_WAIT3' => 1,
-                        'AC_HEADER_TIME' => 1,
-                        'AM_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_LSTAT' => 1,
-                        'AC_STRUCT_TM' => 1,
-                        'jm_CHECK_TYPE_STRUCT_UTIMBUF' => 1,
-                        'AM_MISSING_HAS_RUN' => 1,
-                        'AC_FUNC_GETMNTENT' => 1,
-                        'AC_TYPE_MODE_T' => 1,
-                        'AC_CHECK_HEADERS' => 1,
-                        'AC_FUNC_STRTOD' => 1,
-                        'AM_MISSING_PROG' => 1,
-                        'AC_FUNC_STRNLEN' => 1,
-                        'm4_sinclude' => 1,
-                        'AC_PROG_CXX' => 1,
-                        'AC_PATH_X' => 1,
-                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
-                        'AM_PROG_INSTALL_STRIP' => 1,
-                        'AC_PROG_AWK' => 1,
-                        '_m4_warn' => 1,
-                        'AC_HEADER_STDC' => 1,
-                        'AC_HEADER_MAJOR' => 1,
-                        'AM_SANITY_CHECK' => 1,
-                        'AC_FUNC_ERROR_AT_LINE' => 1,
-                        'AC_PROG_GCC_TRADITIONAL' => 1,
-                        'AM_DEP_TRACK' => 1,
-                        'AC_LIBSOURCE' => 1,
-                        'AM_CONFIG_HEADER' => 1,
-                        'AC_FUNC_MBRTOWC' => 1,
-                        'AC_STRUCT_ST_BLOCKS' => 1,
-                        'AC_TYPE_SIGNAL' => 1,
-                        '_AM_IF_OPTION' => 1,
-                        'AC_TYPE_UID_T' => 1,
-                        'AC_PROG_MAKE_SET' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
-                        'm4_pattern_allow' => 1,
-                        'sinclude' => 1,
-                        'AM_SET_LEADING_DOT' => 1,
-                        'AC_DEFINE_TRACE_LITERAL' => 1,
-                        '_AM_DEPENDENCIES' => 1,
-                        'AC_FUNC_STRERROR_R' => 1,
-                        'AC_PROG_CC' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
-                        'AC_FUNC_FORK' => 1,
-                        'AC_FUNC_STRCOLL' => 1,
-                        'AC_FUNC_VPRINTF' => 1,
-                        'AC_PROG_YACC' => 1,
-                        'AC_INIT' => 1,
-                        'AC_STRUCT_TIMEZONE' => 1,
-                        'AM_SET_CURRENT_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_CHOWN' => 1,
-                        'AC_SUBST' => 1,
-                        'AC_FUNC_ALLOCA' => 1,
-                        '_AM_SET_OPTION' => 1,
-                        'AC_CANONICAL_HOST' => 1,
-                        'AC_FUNC_GETPGRP' => 1,
-                        'AC_PROG_RANLIB' => 1,
-                        'AC_FUNC_SETPGRP' => 1,
-                        'AM_INIT_AUTOMAKE' => 1,
-                        'AC_CONFIG_SUBDIRS' => 1,
-                        'AC_FUNC_MMAP' => 1,
-                        'AC_FUNC_REALLOC' => 1,
-                        'AC_TYPE_SIZE_T' => 1,
-                        'AC_CHECK_TYPES' => 1,
-                        'AC_CONFIG_LINKS' => 1,
-                        'AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
-                        'AC_CHECK_MEMBERS' => 1,
-                        'AM_MAINTAINER_MODE' => 1,
-                        'AC_FUNC_UTIME_NULL' => 1,
-                        'AC_FUNC_SELECT_ARGTYPES' => 1,
-                        'AC_FUNC_STRFTIME' => 1,
-                        'AC_HEADER_STAT' => 1,
-                        'AC_C_INLINE' => 1,
-                        'AC_PROG_CPP' => 1,
-                        'AC_C_CONST' => 1,
-                        'AC_PROG_LEX' => 1,
-                        'AC_TYPE_PID_T' => 1,
-                        'AC_CONFIG_FILES' => 1,
-                        'include' => 1,
-                        'AC_FUNC_SETVBUF_REVERSED' => 1,
-                        'AM_AUX_DIR_EXPAND' => 1,
-                        'AC_PROG_INSTALL' => 1,
-                        'AM_GNU_GETTEXT' => 1,
-                        'AC_FUNC_OBSTACK' => 1,
-                        'AC_CHECK_LIB' => 1,
-                        'AC_FUNC_MALLOC' => 1,
-                        '_AM_SET_OPTIONS' => 1,
-                        'AC_FUNC_GETGROUPS' => 1,
-                        '_AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
-                        'AC_FUNC_GETLOADAVG' => 1,
-                        'AH_OUTPUT' => 1,
-                        'AC_FUNC_FSEEKO' => 1,
-                        'AM_PROG_CC_C_O' => 1,
-                        '_AM_MANGLE_OPTION' => 1,
-                        'AC_FUNC_MKTIME' => 1,
-                        'AM_CONDITIONAL' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
-                        'AC_CONFIG_HEADERS' => 1,
-                        'AM_SET_DEPDIR' => 1,
-                        'AC_HEADER_SYS_WAIT' => 1,
-                        'AC_FUNC_MEMCMP' => 1,
-                        'AC_PROG_LN_S' => 1,
-                        'AM_PROG_INSTALL_SH' => 1,
-                        'm4_include' => 1,
-                        'AC_HEADER_DIRENT' => 1,
-                        '_AC_AM_CONFIG_HEADER_HOOK' => 1,
-                        'AC_CHECK_FUNCS' => 1,
-                        'AM_MAKE_INCLUDE' => 1
-                      }
-                    ], 'Autom4te::Request' ),
-             bless( [
-                      '2',
-                      1,
-                      [
-                        '/usr/share/autoconf'
-                      ],
-                      [
-                        '/usr/share/autoconf/autoconf/autoconf.m4f',
-                        '/usr/share/aclocal-1.8/amversion.m4',
-                        '/usr/share/aclocal-1.8/auxdir.m4',
-                        '/usr/share/aclocal-1.8/cond.m4',
-                        '/usr/share/aclocal-1.8/depend.m4',
-                        '/usr/share/aclocal-1.8/depout.m4',
-                        '/usr/share/aclocal-1.8/header.m4',
-                        '/usr/share/aclocal-1.8/init.m4',
-                        '/usr/share/aclocal-1.8/install-sh.m4',
-                        '/usr/share/aclocal-1.8/lead-dot.m4',
-                        '/usr/share/aclocal-1.8/make.m4',
-                        '/usr/share/aclocal-1.8/missing.m4',
-                        '/usr/share/aclocal-1.8/mkdirp.m4',
-                        '/usr/share/aclocal-1.8/options.m4',
-                        '/usr/share/aclocal-1.8/sanity.m4',
-                        '/usr/share/aclocal-1.8/strip.m4',
-                        'acinclude.m4',
-                        'configure.ac'
-                      ],
-                      {
-                        'm4_pattern_forbid' => 1,
-                        'AC_CONFIG_LIBOBJ_DIR' => 1,
-                        'AC_C_VOLATILE' => 1,
-                        'AC_TYPE_OFF_T' => 1,
-                        'AC_FUNC_CLOSEDIR_VOID' => 1,
-                        'AC_REPLACE_FNMATCH' => 1,
-                        'AC_PROG_LIBTOOL' => 1,
-                        'AM_PROG_MKDIR_P' => 1,
-                        'AC_FUNC_STAT' => 1,
-                        'AC_FUNC_WAIT3' => 1,
-                        'AC_HEADER_TIME' => 1,
-                        'AM_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_LSTAT' => 1,
-                        'AC_STRUCT_TM' => 1,
-                        'jm_CHECK_TYPE_STRUCT_UTIMBUF' => 1,
-                        'AM_MISSING_HAS_RUN' => 1,
-                        'AC_FUNC_GETMNTENT' => 1,
-                        'AC_TYPE_MODE_T' => 1,
-                        'AC_CHECK_HEADERS' => 1,
-                        'AC_FUNC_STRTOD' => 1,
-                        'AM_MISSING_PROG' => 1,
-                        'AC_FUNC_STRNLEN' => 1,
-                        'm4_sinclude' => 1,
-                        'AC_PROG_CXX' => 1,
-                        'AC_PATH_X' => 1,
-                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
-                        'AM_PROG_INSTALL_STRIP' => 1,
-                        'AC_PROG_AWK' => 1,
-                        '_m4_warn' => 1,
-                        'AC_HEADER_STDC' => 1,
-                        'AC_HEADER_MAJOR' => 1,
-                        'AM_SANITY_CHECK' => 1,
-                        'AC_FUNC_ERROR_AT_LINE' => 1,
-                        'AC_PROG_GCC_TRADITIONAL' => 1,
-                        'AM_DEP_TRACK' => 1,
-                        'AC_LIBSOURCE' => 1,
-                        'AM_CONFIG_HEADER' => 1,
-                        'AC_FUNC_MBRTOWC' => 1,
-                        'AC_STRUCT_ST_BLOCKS' => 1,
-                        'AC_TYPE_SIGNAL' => 1,
-                        '_AM_IF_OPTION' => 1,
-                        'AC_TYPE_UID_T' => 1,
-                        'AC_PROG_MAKE_SET' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
-                        'm4_pattern_allow' => 1,
-                        'sinclude' => 1,
-                        'AM_SET_LEADING_DOT' => 1,
-                        'AC_DEFINE_TRACE_LITERAL' => 1,
-                        '_AM_DEPENDENCIES' => 1,
-                        'AC_FUNC_STRERROR_R' => 1,
-                        'AC_PROG_CC' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
-                        'AC_FUNC_FORK' => 1,
-                        'AC_FUNC_STRCOLL' => 1,
-                        'AC_FUNC_VPRINTF' => 1,
-                        'AC_PROG_YACC' => 1,
-                        'AC_INIT' => 1,
-                        'AC_STRUCT_TIMEZONE' => 1,
-                        'AM_SET_CURRENT_AUTOMAKE_VERSION' => 1,
-                        'AC_FUNC_CHOWN' => 1,
-                        'AC_SUBST' => 1,
-                        'AC_FUNC_ALLOCA' => 1,
-                        '_AM_SET_OPTION' => 1,
-                        'AC_CANONICAL_HOST' => 1,
-                        'AC_FUNC_GETPGRP' => 1,
-                        'AC_PROG_RANLIB' => 1,
-                        'AC_FUNC_SETPGRP' => 1,
-                        'AM_INIT_AUTOMAKE' => 1,
-                        'AC_CONFIG_SUBDIRS' => 1,
-                        'AC_FUNC_MMAP' => 1,
-                        'AC_FUNC_REALLOC' => 1,
-                        'AC_TYPE_SIZE_T' => 1,
-                        'AC_CHECK_TYPES' => 1,
-                        'AC_CONFIG_LINKS' => 1,
-                        'AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
-                        'AC_CHECK_MEMBERS' => 1,
-                        'AM_MAINTAINER_MODE' => 1,
-                        'AC_FUNC_UTIME_NULL' => 1,
-                        'AC_FUNC_SELECT_ARGTYPES' => 1,
-                        'AC_FUNC_STRFTIME' => 1,
-                        'AC_HEADER_STAT' => 1,
-                        'AC_C_INLINE' => 1,
-                        'AC_PROG_CPP' => 1,
-                        'AC_C_CONST' => 1,
-                        'AC_PROG_LEX' => 1,
-                        'AC_TYPE_PID_T' => 1,
-                        'AC_CONFIG_FILES' => 1,
-                        'include' => 1,
-                        'AC_FUNC_SETVBUF_REVERSED' => 1,
-                        'AM_AUX_DIR_EXPAND' => 1,
-                        'AC_PROG_INSTALL' => 1,
-                        'AM_GNU_GETTEXT' => 1,
-                        'AC_FUNC_OBSTACK' => 1,
-                        'AC_CHECK_LIB' => 1,
-                        'AC_FUNC_MALLOC' => 1,
-                        '_AM_SET_OPTIONS' => 1,
-                        'AC_FUNC_GETGROUPS' => 1,
-                        '_AM_OUTPUT_DEPENDENCY_COMMANDS' => 1,
-                        'AC_FUNC_GETLOADAVG' => 1,
-                        'AH_OUTPUT' => 1,
-                        'AC_FUNC_FSEEKO' => 1,
-                        'AM_PROG_CC_C_O' => 1,
-                        '_AM_MANGLE_OPTION' => 1,
-                        'AC_FUNC_MKTIME' => 1,
-                        'AM_CONDITIONAL' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
-                        'AC_CONFIG_HEADERS' => 1,
-                        'AM_SET_DEPDIR' => 1,
-                        'AC_HEADER_SYS_WAIT' => 1,
-                        'AC_FUNC_MEMCMP' => 1,
-                        'AC_PROG_LN_S' => 1,
-                        'AM_PROG_INSTALL_SH' => 1,
-                        'm4_include' => 1,
-                        'AC_HEADER_DIRENT' => 1,
-                        '_AC_AM_CONFIG_HEADER_HOOK' => 1,
-                        'AC_CHECK_FUNCS' => 1,
-                        'AM_MAKE_INCLUDE' => 1
-                      }
-                    ], 'Autom4te::Request' ),
-             bless( [
-                      '3',
-                      1,
-                      [
-                        '/usr/share/autoconf'
-                      ],
-                      [
-                        '/usr/share/autoconf/autoconf/autoconf.m4f',
-                        'aclocal.m4',
-                        'configure.ac'
-                      ],
-                      {
-                        'm4_pattern_forbid' => 1,
-                        'AC_CONFIG_LIBOBJ_DIR' => 1,
-                        'AC_TYPE_OFF_T' => 1,
-                        'AC_C_VOLATILE' => 1,
-                        'AC_FUNC_CLOSEDIR_VOID' => 1,
-                        'AC_REPLACE_FNMATCH' => 1,
-                        'AC_PROG_LIBTOOL' => 1,
-                        'AC_FUNC_STAT' => 1,
-                        'AC_HEADER_TIME' => 1,
-                        'AC_FUNC_WAIT3' => 1,
-                        'AM_AUTOMAKE_VERSION' => 1,
-                        'AC_STRUCT_TM' => 1,
-                        'AC_FUNC_LSTAT' => 1,
-                        'AC_TYPE_MODE_T' => 1,
-                        'AC_FUNC_GETMNTENT' => 1,
-                        'AC_FUNC_STRTOD' => 1,
-                        'AC_CHECK_HEADERS' => 1,
-                        'AC_FUNC_STRNLEN' => 1,
-                        'm4_sinclude' => 1,
-                        'AC_PROG_CXX' => 1,
-                        'AC_PATH_X' => 1,
-                        'AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK' => 1,
-                        'AC_PROG_AWK' => 1,
-                        '_m4_warn' => 1,
-                        'AC_HEADER_STDC' => 1,
-                        'AC_HEADER_MAJOR' => 1,
-                        'AC_FUNC_ERROR_AT_LINE' => 1,
-                        'AC_PROG_GCC_TRADITIONAL' => 1,
-                        'AC_LIBSOURCE' => 1,
-                        'AC_FUNC_MBRTOWC' => 1,
-                        'AC_STRUCT_ST_BLOCKS' => 1,
-                        'AC_TYPE_SIGNAL' => 1,
-                        'AC_TYPE_UID_T' => 1,
-                        'AC_PROG_MAKE_SET' => 1,
-                        'AC_CONFIG_AUX_DIR' => 1,
-                        'sinclude' => 1,
-                        'm4_pattern_allow' => 1,
-                        'AC_DEFINE_TRACE_LITERAL' => 1,
-                        'AC_FUNC_STRERROR_R' => 1,
-                        'AC_PROG_CC' => 1,
-                        'AC_DECL_SYS_SIGLIST' => 1,
-                        'AC_FUNC_FORK' => 1,
-                        'AC_FUNC_VPRINTF' => 1,
-                        'AC_FUNC_STRCOLL' => 1,
-                        'AC_PROG_YACC' => 1,
-                        'AC_STRUCT_TIMEZONE' => 1,
-                        'AC_INIT' => 1,
-                        'AC_FUNC_CHOWN' => 1,
-                        'AC_SUBST' => 1,
-                        'AC_FUNC_ALLOCA' => 1,
-                        'AC_CANONICAL_HOST' => 1,
-                        'AC_FUNC_GETPGRP' => 1,
-                        'AC_PROG_RANLIB' => 1,
-                        'AM_INIT_AUTOMAKE' => 1,
-                        'AC_FUNC_SETPGRP' => 1,
-                        'AC_CONFIG_SUBDIRS' => 1,
-                        'AC_FUNC_MMAP' => 1,
-                        'AC_FUNC_REALLOC' => 1,
-                        'AC_TYPE_SIZE_T' => 1,
-                        'AC_CONFIG_LINKS' => 1,
-                        'AC_CHECK_TYPES' => 1,
-                        'AC_CHECK_MEMBERS' => 1,
-                        'AM_MAINTAINER_MODE' => 1,
-                        'AC_FUNC_UTIME_NULL' => 1,
-                        'AC_FUNC_SELECT_ARGTYPES' => 1,
-                        'AC_FUNC_STRFTIME' => 1,
-                        'AC_HEADER_STAT' => 1,
-                        'AC_C_INLINE' => 1,
-                        'AC_PROG_CPP' => 1,
-                        'AC_TYPE_PID_T' => 1,
-                        'AC_C_CONST' => 1,
-                        'AC_PROG_LEX' => 1,
-                        'AM_ENABLE_MULTILIB' => 1,
-                        'AC_CONFIG_FILES' => 1,
-                        'include' => 1,
-                        'AC_FUNC_SETVBUF_REVERSED' => 1,
-                        'AC_PROG_INSTALL' => 1,
-                        'AM_GNU_GETTEXT' => 1,
-                        'AC_CHECK_LIB' => 1,
-                        'AC_FUNC_OBSTACK' => 1,
-                        'AC_FUNC_MALLOC' => 1,
-                        'AC_FUNC_GETGROUPS' => 1,
-                        'AC_FUNC_GETLOADAVG' => 1,
-                        'AH_OUTPUT' => 1,
-                        'AC_FUNC_FSEEKO' => 1,
-                        'AM_PROG_CC_C_O' => 1,
-                        'AM_CONDITIONAL' => 1,
-                        'AC_CANONICAL_SYSTEM' => 1,
-                        'AC_FUNC_MKTIME' => 1,
-                        'AC_CONFIG_HEADERS' => 1,
-                        'AC_HEADER_SYS_WAIT' => 1,
-                        'AC_PROG_LN_S' => 1,
-                        'AC_FUNC_MEMCMP' => 1,
-                        'm4_include' => 1,
-                        'AC_HEADER_DIRENT' => 1,
-                        'AC_CHECK_FUNCS' => 1
-                      }
                     ], 'Autom4te::Request' )
            );
Index: /orxonox/branches/bensch/autom4te.cache/traces.0
===================================================================
--- /orxonox/branches/bensch/autom4te.cache/traces.0	(revision 1822)
+++ /orxonox/branches/bensch/autom4te.cache/traces.0	(revision 1823)
@@ -1,250 +1,237 @@
 m4trace:aclocal.m4:928: -1- m4_include([acinclude.m4])
-m4trace:configure.in:3: -1- AC_INIT([orxonox.cc])
-m4trace:configure.in:3: -1- m4_pattern_forbid([^_?A[CHUM]_])
-m4trace:configure.in:3: -1- m4_pattern_forbid([_AC_])
-m4trace:configure.in:3: -1- m4_pattern_forbid([^LIBOBJS$], [do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'])
-m4trace:configure.in:3: -1- m4_pattern_allow([^AS_FLAGS$])
-m4trace:configure.in:3: -1- m4_pattern_forbid([^_?m4_])
-m4trace:configure.in:3: -1- m4_pattern_forbid([^dnl$])
-m4trace:configure.in:3: -1- m4_pattern_forbid([^_?AS_])
-m4trace:configure.in:3: -1- AC_SUBST([SHELL], [${CONFIG_SHELL-/bin/sh}])
-m4trace:configure.in:3: -1- AC_SUBST([PATH_SEPARATOR])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_NAME], [m4_ifdef([AC_PACKAGE_NAME],      ['AC_PACKAGE_NAME'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_TARNAME], [m4_ifdef([AC_PACKAGE_TARNAME],   ['AC_PACKAGE_TARNAME'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_VERSION], [m4_ifdef([AC_PACKAGE_VERSION],   ['AC_PACKAGE_VERSION'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_STRING], [m4_ifdef([AC_PACKAGE_STRING],    ['AC_PACKAGE_STRING'])])
-m4trace:configure.in:3: -1- AC_SUBST([PACKAGE_BUGREPORT], [m4_ifdef([AC_PACKAGE_BUGREPORT], ['AC_PACKAGE_BUGREPORT'])])
-m4trace:configure.in:3: -1- AC_SUBST([exec_prefix], [NONE])
-m4trace:configure.in:3: -1- AC_SUBST([prefix], [NONE])
-m4trace:configure.in:3: -1- AC_SUBST([program_transform_name], [s,x,x,])
-m4trace:configure.in:3: -1- AC_SUBST([bindir], ['${exec_prefix}/bin'])
-m4trace:configure.in:3: -1- AC_SUBST([sbindir], ['${exec_prefix}/sbin'])
-m4trace:configure.in:3: -1- AC_SUBST([libexecdir], ['${exec_prefix}/libexec'])
-m4trace:configure.in:3: -1- AC_SUBST([datadir], ['${prefix}/share'])
-m4trace:configure.in:3: -1- AC_SUBST([sysconfdir], ['${prefix}/etc'])
-m4trace:configure.in:3: -1- AC_SUBST([sharedstatedir], ['${prefix}/com'])
-m4trace:configure.in:3: -1- AC_SUBST([localstatedir], ['${prefix}/var'])
-m4trace:configure.in:3: -1- AC_SUBST([libdir], ['${exec_prefix}/lib'])
-m4trace:configure.in:3: -1- AC_SUBST([includedir], ['${prefix}/include'])
-m4trace:configure.in:3: -1- AC_SUBST([oldincludedir], ['/usr/include'])
-m4trace:configure.in:3: -1- AC_SUBST([infodir], ['${prefix}/info'])
-m4trace:configure.in:3: -1- AC_SUBST([mandir], ['${prefix}/man'])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_NAME])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_NAME], [/* Define to the full name of this package. */
+m4trace:configure.ac:3: -1- AC_INIT([orxonox_gui.c])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([^_?A[CHUM]_])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([_AC_])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([^LIBOBJS$], [do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'])
+m4trace:configure.ac:3: -1- m4_pattern_allow([^AS_FLAGS$])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([^_?m4_])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([^dnl$])
+m4trace:configure.ac:3: -1- m4_pattern_forbid([^_?AS_])
+m4trace:configure.ac:3: -1- AC_SUBST([SHELL], [${CONFIG_SHELL-/bin/sh}])
+m4trace:configure.ac:3: -1- AC_SUBST([PATH_SEPARATOR])
+m4trace:configure.ac:3: -1- AC_SUBST([PACKAGE_NAME], [m4_ifdef([AC_PACKAGE_NAME],      ['AC_PACKAGE_NAME'])])
+m4trace:configure.ac:3: -1- AC_SUBST([PACKAGE_TARNAME], [m4_ifdef([AC_PACKAGE_TARNAME],   ['AC_PACKAGE_TARNAME'])])
+m4trace:configure.ac:3: -1- AC_SUBST([PACKAGE_VERSION], [m4_ifdef([AC_PACKAGE_VERSION],   ['AC_PACKAGE_VERSION'])])
+m4trace:configure.ac:3: -1- AC_SUBST([PACKAGE_STRING], [m4_ifdef([AC_PACKAGE_STRING],    ['AC_PACKAGE_STRING'])])
+m4trace:configure.ac:3: -1- AC_SUBST([PACKAGE_BUGREPORT], [m4_ifdef([AC_PACKAGE_BUGREPORT], ['AC_PACKAGE_BUGREPORT'])])
+m4trace:configure.ac:3: -1- AC_SUBST([exec_prefix], [NONE])
+m4trace:configure.ac:3: -1- AC_SUBST([prefix], [NONE])
+m4trace:configure.ac:3: -1- AC_SUBST([program_transform_name], [s,x,x,])
+m4trace:configure.ac:3: -1- AC_SUBST([bindir], ['${exec_prefix}/bin'])
+m4trace:configure.ac:3: -1- AC_SUBST([sbindir], ['${exec_prefix}/sbin'])
+m4trace:configure.ac:3: -1- AC_SUBST([libexecdir], ['${exec_prefix}/libexec'])
+m4trace:configure.ac:3: -1- AC_SUBST([datadir], ['${prefix}/share'])
+m4trace:configure.ac:3: -1- AC_SUBST([sysconfdir], ['${prefix}/etc'])
+m4trace:configure.ac:3: -1- AC_SUBST([sharedstatedir], ['${prefix}/com'])
+m4trace:configure.ac:3: -1- AC_SUBST([localstatedir], ['${prefix}/var'])
+m4trace:configure.ac:3: -1- AC_SUBST([libdir], ['${exec_prefix}/lib'])
+m4trace:configure.ac:3: -1- AC_SUBST([includedir], ['${prefix}/include'])
+m4trace:configure.ac:3: -1- AC_SUBST([oldincludedir], ['/usr/include'])
+m4trace:configure.ac:3: -1- AC_SUBST([infodir], ['${prefix}/info'])
+m4trace:configure.ac:3: -1- AC_SUBST([mandir], ['${prefix}/man'])
+m4trace:configure.ac:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_NAME])
+m4trace:configure.ac:3: -1- AH_OUTPUT([PACKAGE_NAME], [/* Define to the full name of this package. */
 #undef PACKAGE_NAME])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_TARNAME])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_TARNAME], [/* Define to the one symbol short name of this package. */
+m4trace:configure.ac:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_TARNAME])
+m4trace:configure.ac:3: -1- AH_OUTPUT([PACKAGE_TARNAME], [/* Define to the one symbol short name of this package. */
 #undef PACKAGE_TARNAME])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_VERSION])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_VERSION], [/* Define to the version of this package. */
+m4trace:configure.ac:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_VERSION])
+m4trace:configure.ac:3: -1- AH_OUTPUT([PACKAGE_VERSION], [/* Define to the version of this package. */
 #undef PACKAGE_VERSION])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_STRING])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_STRING], [/* Define to the full name and version of this package. */
+m4trace:configure.ac:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_STRING])
+m4trace:configure.ac:3: -1- AH_OUTPUT([PACKAGE_STRING], [/* Define to the full name and version of this package. */
 #undef PACKAGE_STRING])
-m4trace:configure.in:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_BUGREPORT])
-m4trace:configure.in:3: -1- AH_OUTPUT([PACKAGE_BUGREPORT], [/* Define to the address where bug reports for this package should be sent. */
+m4trace:configure.ac:3: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE_BUGREPORT])
+m4trace:configure.ac:3: -1- AH_OUTPUT([PACKAGE_BUGREPORT], [/* Define to the address where bug reports for this package should be sent. */
 #undef PACKAGE_BUGREPORT])
-m4trace:configure.in:3: -1- AC_SUBST([build_alias])
-m4trace:configure.in:3: -1- AC_SUBST([host_alias])
-m4trace:configure.in:3: -1- AC_SUBST([target_alias])
-m4trace:configure.in:3: -1- AC_SUBST([DEFS])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_C])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_N])
-m4trace:configure.in:3: -1- AC_SUBST([ECHO_T])
-m4trace:configure.in:3: -1- AC_SUBST([LIBS])
-m4trace:configure.in:5: -1- AM_INIT_AUTOMAKE([orxonox], [0.1.0])
-m4trace:configure.in:5: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$])
-m4trace:configure.in:5: -1- AM_AUTOMAKE_VERSION([1.8.3])
-m4trace:configure.in:5: -1- AC_PROG_INSTALL
-m4trace:configure.in:5: -1- AC_SUBST([INSTALL_PROGRAM])
-m4trace:configure.in:5: -1- AC_SUBST([INSTALL_SCRIPT])
-m4trace:configure.in:5: -1- AC_SUBST([INSTALL_DATA])
-m4trace:configure.in:5: -1- AC_SUBST([CYGPATH_W])
-m4trace:configure.in:5: -1- AC_SUBST([PACKAGE], [orxonox])
-m4trace:configure.in:5: -1- AC_SUBST([VERSION], [0.1.0])
-m4trace:configure.in:5: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE])
-m4trace:configure.in:5: -1- AH_OUTPUT([PACKAGE], [/* Name of package */
+m4trace:configure.ac:3: -1- AC_SUBST([build_alias])
+m4trace:configure.ac:3: -1- AC_SUBST([host_alias])
+m4trace:configure.ac:3: -1- AC_SUBST([target_alias])
+m4trace:configure.ac:3: -1- AC_SUBST([DEFS])
+m4trace:configure.ac:3: -1- AC_SUBST([ECHO_C])
+m4trace:configure.ac:3: -1- AC_SUBST([ECHO_N])
+m4trace:configure.ac:3: -1- AC_SUBST([ECHO_T])
+m4trace:configure.ac:3: -1- AC_SUBST([LIBS])
+m4trace:configure.ac:5: -1- AM_INIT_AUTOMAKE([orxonox], [0.0.0])
+m4trace:configure.ac:5: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$])
+m4trace:configure.ac:5: -1- AM_AUTOMAKE_VERSION([1.8.3])
+m4trace:configure.ac:5: -1- AC_PROG_INSTALL
+m4trace:configure.ac:5: -1- AC_SUBST([INSTALL_PROGRAM])
+m4trace:configure.ac:5: -1- AC_SUBST([INSTALL_SCRIPT])
+m4trace:configure.ac:5: -1- AC_SUBST([INSTALL_DATA])
+m4trace:configure.ac:5: -1- AC_SUBST([CYGPATH_W])
+m4trace:configure.ac:5: -1- AC_SUBST([PACKAGE], [orxonox])
+m4trace:configure.ac:5: -1- AC_SUBST([VERSION], [0.0.0])
+m4trace:configure.ac:5: -1- AC_DEFINE_TRACE_LITERAL([PACKAGE])
+m4trace:configure.ac:5: -1- AH_OUTPUT([PACKAGE], [/* Name of package */
 #undef PACKAGE])
-m4trace:configure.in:5: -1- AC_DEFINE_TRACE_LITERAL([VERSION])
-m4trace:configure.in:5: -1- AH_OUTPUT([VERSION], [/* Version number of package */
+m4trace:configure.ac:5: -1- AC_DEFINE_TRACE_LITERAL([VERSION])
+m4trace:configure.ac:5: -1- AH_OUTPUT([VERSION], [/* Version number of package */
 #undef VERSION])
-m4trace:configure.in:5: -1- AC_SUBST([ACLOCAL])
-m4trace:configure.in:5: -1- AC_SUBST([AUTOCONF])
-m4trace:configure.in:5: -1- AC_SUBST([AUTOMAKE])
-m4trace:configure.in:5: -1- AC_SUBST([AUTOHEADER])
-m4trace:configure.in:5: -1- AC_SUBST([MAKEINFO])
-m4trace:configure.in:5: -1- AC_SUBST([AMTAR])
-m4trace:configure.in:5: -1- AC_SUBST([install_sh])
-m4trace:configure.in:5: -1- AC_SUBST([STRIP])
-m4trace:configure.in:5: -1- AC_SUBST([ac_ct_STRIP])
-m4trace:configure.in:5: -1- AC_SUBST([INSTALL_STRIP_PROGRAM])
-m4trace:configure.in:5: -1- AC_SUBST([mkdir_p])
-m4trace:configure.in:5: -1- AC_PROG_AWK
-m4trace:configure.in:5: -1- AC_SUBST([AWK])
-m4trace:configure.in:5: -1- AC_PROG_MAKE_SET
-m4trace:configure.in:5: -1- AC_SUBST([SET_MAKE])
-m4trace:configure.in:5: -1- AC_SUBST([am__leading_dot])
-m4trace:configure.in:8: -1- _m4_warn([obsolete], [The macro `AM_CONFIG_HEADER' is obsolete.
+m4trace:configure.ac:5: -1- AC_SUBST([ACLOCAL])
+m4trace:configure.ac:5: -1- AC_SUBST([AUTOCONF])
+m4trace:configure.ac:5: -1- AC_SUBST([AUTOMAKE])
+m4trace:configure.ac:5: -1- AC_SUBST([AUTOHEADER])
+m4trace:configure.ac:5: -1- AC_SUBST([MAKEINFO])
+m4trace:configure.ac:5: -1- AC_SUBST([AMTAR])
+m4trace:configure.ac:5: -1- AC_SUBST([install_sh])
+m4trace:configure.ac:5: -1- AC_SUBST([STRIP])
+m4trace:configure.ac:5: -1- AC_SUBST([ac_ct_STRIP])
+m4trace:configure.ac:5: -1- AC_SUBST([INSTALL_STRIP_PROGRAM])
+m4trace:configure.ac:5: -1- AC_SUBST([mkdir_p])
+m4trace:configure.ac:5: -1- AC_PROG_AWK
+m4trace:configure.ac:5: -1- AC_SUBST([AWK])
+m4trace:configure.ac:5: -1- AC_PROG_MAKE_SET
+m4trace:configure.ac:5: -1- AC_SUBST([SET_MAKE])
+m4trace:configure.ac:5: -1- AC_SUBST([am__leading_dot])
+m4trace:configure.ac:8: -1- _m4_warn([obsolete], [The macro `AM_CONFIG_HEADER' is obsolete.
 You should run autoupdate.], [aclocal.m4:421: AM_CONFIG_HEADER is expanded from...
-configure.in:8: the top level])
-m4trace:configure.in:8: -1- AC_CONFIG_HEADERS([config.h])
-m4trace:configure.in:10: -1- AC_SUBST([VERSION])
-m4trace:configure.in:13: -1- AC_SUBST([ISODATE])
-m4trace:configure.in:15: -1- AC_CANONICAL_HOST
-m4trace:configure.in:15: -1- AC_SUBST([build], [$ac_cv_build])
-m4trace:configure.in:15: -1- AC_SUBST([build_cpu], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
-m4trace:configure.in:15: -1- AC_SUBST([build_vendor], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
-m4trace:configure.in:15: -1- AC_SUBST([build_os], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
-m4trace:configure.in:15: -1- AC_SUBST([host], [$ac_cv_host])
-m4trace:configure.in:15: -1- AC_SUBST([host_cpu], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
-m4trace:configure.in:15: -1- AC_SUBST([host_vendor], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
-m4trace:configure.in:15: -1- AC_SUBST([host_os], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
-m4trace:configure.in:18: -1- AC_PROG_INSTALL
-m4trace:configure.in:18: -1- AC_SUBST([INSTALL_PROGRAM])
-m4trace:configure.in:18: -1- AC_SUBST([INSTALL_SCRIPT])
-m4trace:configure.in:18: -1- AC_SUBST([INSTALL_DATA])
-m4trace:configure.in:19: -1- AC_PROG_CC
-m4trace:configure.in:19: -1- AC_SUBST([CC])
-m4trace:configure.in:19: -1- AC_SUBST([CFLAGS])
-m4trace:configure.in:19: -1- AC_SUBST([LDFLAGS])
-m4trace:configure.in:19: -1- AC_SUBST([CPPFLAGS])
-m4trace:configure.in:19: -1- AC_SUBST([CC])
-m4trace:configure.in:19: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:19: -1- AC_SUBST([CC])
-m4trace:configure.in:19: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:19: -1- AC_SUBST([CC])
-m4trace:configure.in:19: -1- AC_SUBST([CC])
-m4trace:configure.in:19: -1- AC_SUBST([ac_ct_CC])
-m4trace:configure.in:19: -1- AC_SUBST([EXEEXT], [$ac_cv_exeext])
-m4trace:configure.in:19: -1- AC_SUBST([OBJEXT], [$ac_cv_objext])
-m4trace:configure.in:19: -1- AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])
-m4trace:configure.in:19: -1- AC_SUBST([am__include])
-m4trace:configure.in:19: -1- AC_SUBST([am__quote])
-m4trace:configure.in:19: -1- AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
-m4trace:configure.in:19: -1- AC_SUBST([AMDEP_TRUE])
-m4trace:configure.in:19: -1- AC_SUBST([AMDEP_FALSE])
-m4trace:configure.in:19: -1- AC_SUBST([AMDEPBACKSLASH])
-m4trace:configure.in:19: -1- AC_SUBST([CCDEPMODE], [depmode=$am_cv_CC_dependencies_compiler_type])
-m4trace:configure.in:19: -1- AM_CONDITIONAL([am__fastdepCC], [
+configure.ac:8: the top level])
+m4trace:configure.ac:8: -1- AC_CONFIG_HEADERS([config.h])
+m4trace:configure.ac:10: -1- AC_SUBST([VERSION])
+m4trace:configure.ac:13: -1- AC_SUBST([ISODATE])
+m4trace:configure.ac:15: -1- AC_CANONICAL_HOST
+m4trace:configure.ac:15: -1- AC_SUBST([build], [$ac_cv_build])
+m4trace:configure.ac:15: -1- AC_SUBST([build_cpu], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
+m4trace:configure.ac:15: -1- AC_SUBST([build_vendor], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
+m4trace:configure.ac:15: -1- AC_SUBST([build_os], [`echo $ac_cv_build | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
+m4trace:configure.ac:15: -1- AC_SUBST([host], [$ac_cv_host])
+m4trace:configure.ac:15: -1- AC_SUBST([host_cpu], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\1/'`])
+m4trace:configure.ac:15: -1- AC_SUBST([host_vendor], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\2/'`])
+m4trace:configure.ac:15: -1- AC_SUBST([host_os], [`echo $ac_cv_host | sed 's/^\([[^-]]*\)-\([[^-]]*\)-\(.*\)$/\3/'`])
+m4trace:configure.ac:18: -1- AC_PROG_INSTALL
+m4trace:configure.ac:18: -1- AC_SUBST([INSTALL_PROGRAM])
+m4trace:configure.ac:18: -1- AC_SUBST([INSTALL_SCRIPT])
+m4trace:configure.ac:18: -1- AC_SUBST([INSTALL_DATA])
+m4trace:configure.ac:19: -1- AC_PROG_CC
+m4trace:configure.ac:19: -1- AC_SUBST([CC])
+m4trace:configure.ac:19: -1- AC_SUBST([CFLAGS])
+m4trace:configure.ac:19: -1- AC_SUBST([LDFLAGS])
+m4trace:configure.ac:19: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:19: -1- AC_SUBST([CC])
+m4trace:configure.ac:19: -1- AC_SUBST([ac_ct_CC])
+m4trace:configure.ac:19: -1- AC_SUBST([CC])
+m4trace:configure.ac:19: -1- AC_SUBST([ac_ct_CC])
+m4trace:configure.ac:19: -1- AC_SUBST([CC])
+m4trace:configure.ac:19: -1- AC_SUBST([CC])
+m4trace:configure.ac:19: -1- AC_SUBST([ac_ct_CC])
+m4trace:configure.ac:19: -1- AC_SUBST([EXEEXT], [$ac_cv_exeext])
+m4trace:configure.ac:19: -1- AC_SUBST([OBJEXT], [$ac_cv_objext])
+m4trace:configure.ac:19: -1- AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])
+m4trace:configure.ac:19: -1- AC_SUBST([am__include])
+m4trace:configure.ac:19: -1- AC_SUBST([am__quote])
+m4trace:configure.ac:19: -1- AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
+m4trace:configure.ac:19: -1- AC_SUBST([AMDEP_TRUE])
+m4trace:configure.ac:19: -1- AC_SUBST([AMDEP_FALSE])
+m4trace:configure.ac:19: -1- AC_SUBST([AMDEPBACKSLASH])
+m4trace:configure.ac:19: -1- AC_SUBST([CCDEPMODE], [depmode=$am_cv_CC_dependencies_compiler_type])
+m4trace:configure.ac:19: -1- AM_CONDITIONAL([am__fastdepCC], [
   test "x$enable_dependency_tracking" != xno \
   && test "$am_cv_CC_dependencies_compiler_type" = gcc3])
-m4trace:configure.in:19: -1- AC_SUBST([am__fastdepCC_TRUE])
-m4trace:configure.in:19: -1- AC_SUBST([am__fastdepCC_FALSE])
-m4trace:configure.in:20: -1- AC_PROG_CXX
-m4trace:configure.in:20: -1- AC_SUBST([CXX])
-m4trace:configure.in:20: -1- AC_SUBST([CXXFLAGS])
-m4trace:configure.in:20: -1- AC_SUBST([LDFLAGS])
-m4trace:configure.in:20: -1- AC_SUBST([CPPFLAGS])
-m4trace:configure.in:20: -1- AC_SUBST([CXX])
-m4trace:configure.in:20: -1- AC_SUBST([ac_ct_CXX])
-m4trace:configure.in:20: -1- AC_SUBST([CXXDEPMODE], [depmode=$am_cv_CXX_dependencies_compiler_type])
-m4trace:configure.in:20: -1- AM_CONDITIONAL([am__fastdepCXX], [
-  test "x$enable_dependency_tracking" != xno \
-  && test "$am_cv_CXX_dependencies_compiler_type" = gcc3])
-m4trace:configure.in:20: -1- AC_SUBST([am__fastdepCXX_TRUE])
-m4trace:configure.in:20: -1- AC_SUBST([am__fastdepCXX_FALSE])
-m4trace:configure.in:25: -1- AC_HEADER_STDC
-m4trace:configure.in:25: -1- AC_PROG_CPP
-m4trace:configure.in:25: -1- AC_SUBST([CPP])
-m4trace:configure.in:25: -1- AC_SUBST([CPPFLAGS])
-m4trace:configure.in:25: -1- AC_SUBST([CPP])
-m4trace:configure.in:25: -1- AC_SUBST([EGREP])
-m4trace:configure.in:25: -1- AC_DEFINE_TRACE_LITERAL([STDC_HEADERS])
-m4trace:configure.in:25: -1- AH_OUTPUT([STDC_HEADERS], [/* Define to 1 if you have the ANSI C header files. */
+m4trace:configure.ac:19: -1- AC_SUBST([am__fastdepCC_TRUE])
+m4trace:configure.ac:19: -1- AC_SUBST([am__fastdepCC_FALSE])
+m4trace:configure.ac:24: -1- AC_HEADER_STDC
+m4trace:configure.ac:24: -1- AC_PROG_CPP
+m4trace:configure.ac:24: -1- AC_SUBST([CPP])
+m4trace:configure.ac:24: -1- AC_SUBST([CPPFLAGS])
+m4trace:configure.ac:24: -1- AC_SUBST([CPP])
+m4trace:configure.ac:24: -1- AC_SUBST([EGREP])
+m4trace:configure.ac:24: -1- AC_DEFINE_TRACE_LITERAL([STDC_HEADERS])
+m4trace:configure.ac:24: -1- AH_OUTPUT([STDC_HEADERS], [/* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS])
-m4trace:configure.in:26: -1- AC_CHECK_HEADERS([unistd.h sys/param.h sys/time.h time.h sys/mkdev.h sys/sysmacros.h string.h memory.h fcntl.h dirent.h sys/ndir.h ndir.h alloca.h locale.h ])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
+m4trace:configure.ac:25: -1- AC_CHECK_HEADERS([unistd.h sys/param.h sys/time.h time.h sys/mkdev.h sys/sysmacros.h string.h memory.h fcntl.h dirent.h sys/ndir.h ndir.h alloca.h locale.h ])
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_PARAM_H], [/* Define to 1 if you have the <sys/param.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_PARAM_H], [/* Define to 1 if you have the <sys/param.h> header file. */
 #undef HAVE_SYS_PARAM_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_TIME_H], [/* Define to 1 if you have the <sys/time.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_TIME_H], [/* Define to 1 if you have the <sys/time.h> header file. */
 #undef HAVE_SYS_TIME_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_TIME_H], [/* Define to 1 if you have the <time.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_TIME_H], [/* Define to 1 if you have the <time.h> header file. */
 #undef HAVE_TIME_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_MKDEV_H], [/* Define to 1 if you have the <sys/mkdev.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_MKDEV_H], [/* Define to 1 if you have the <sys/mkdev.h> header file. */
 #undef HAVE_SYS_MKDEV_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_SYSMACROS_H], [/* Define to 1 if you have the <sys/sysmacros.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_SYSMACROS_H], [/* Define to 1 if you have the <sys/sysmacros.h> header file. */
 #undef HAVE_SYS_SYSMACROS_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_MEMORY_H], [/* Define to 1 if you have the <memory.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_MEMORY_H], [/* Define to 1 if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_FCNTL_H], [/* Define to 1 if you have the <fcntl.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_FCNTL_H], [/* Define to 1 if you have the <fcntl.h> header file. */
 #undef HAVE_FCNTL_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_DIRENT_H], [/* Define to 1 if you have the <dirent.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_DIRENT_H], [/* Define to 1 if you have the <dirent.h> header file. */
 #undef HAVE_DIRENT_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_NDIR_H], [/* Define to 1 if you have the <sys/ndir.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_NDIR_H], [/* Define to 1 if you have the <sys/ndir.h> header file. */
 #undef HAVE_SYS_NDIR_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_NDIR_H], [/* Define to 1 if you have the <ndir.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_NDIR_H], [/* Define to 1 if you have the <ndir.h> header file. */
 #undef HAVE_NDIR_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_ALLOCA_H], [/* Define to 1 if you have the <alloca.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_ALLOCA_H], [/* Define to 1 if you have the <alloca.h> header file. */
 #undef HAVE_ALLOCA_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_LOCALE_H], [/* Define to 1 if you have the <locale.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_LOCALE_H], [/* Define to 1 if you have the <locale.h> header file. */
 #undef HAVE_LOCALE_H])
-m4trace:configure.in:26: -1- AC_CHECK_HEADERS([sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
+m4trace:configure.ac:25: -1- AC_CHECK_HEADERS([sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
 		  inttypes.h stdint.h unistd.h], [], [], [$ac_includes_default])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_TYPES_H], [/* Define to 1 if you have the <sys/types.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_TYPES_H], [/* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_SYS_STAT_H], [/* Define to 1 if you have the <sys/stat.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_SYS_STAT_H], [/* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_STDLIB_H], [/* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_STRING_H], [/* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_MEMORY_H], [/* Define to 1 if you have the <memory.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_MEMORY_H], [/* Define to 1 if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_STRINGS_H], [/* Define to 1 if you have the <strings.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_STRINGS_H], [/* Define to 1 if you have the <strings.h> header file. */
 #undef HAVE_STRINGS_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_INTTYPES_H], [/* Define to 1 if you have the <inttypes.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_INTTYPES_H], [/* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_STDINT_H], [/* Define to 1 if you have the <stdint.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_STDINT_H], [/* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H])
-m4trace:configure.in:26: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
+m4trace:configure.ac:25: -1- AH_OUTPUT([HAVE_UNISTD_H], [/* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H])
-m4trace:configure.in:28: -1- AC_CHECK_HEADERS([utime.h])
-m4trace:configure.in:28: -1- AH_OUTPUT([HAVE_UTIME_H], [/* Define to 1 if you have the <utime.h> header file. */
+m4trace:configure.ac:28: -1- AC_CHECK_HEADERS([utime.h])
+m4trace:configure.ac:28: -1- AH_OUTPUT([HAVE_UTIME_H], [/* Define to 1 if you have the <utime.h> header file. */
 #undef HAVE_UTIME_H])
-m4trace:configure.in:28: -1- AC_HEADER_TIME
-m4trace:configure.in:28: -1- AC_DEFINE_TRACE_LITERAL([TIME_WITH_SYS_TIME])
-m4trace:configure.in:28: -1- AH_OUTPUT([TIME_WITH_SYS_TIME], [/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
+m4trace:configure.ac:28: -1- AC_HEADER_TIME
+m4trace:configure.ac:28: -1- AC_DEFINE_TRACE_LITERAL([TIME_WITH_SYS_TIME])
+m4trace:configure.ac:28: -1- AH_OUTPUT([TIME_WITH_SYS_TIME], [/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
 #undef TIME_WITH_SYS_TIME])
-m4trace:configure.in:28: -1- _m4_warn([obsolete], [The macro `AC_TRY_COMPILE' is obsolete.
+m4trace:configure.ac:28: -1- _m4_warn([obsolete], [The macro `AC_TRY_COMPILE' is obsolete.
 You should run autoupdate.], [autoconf/general.m4:2180: AC_TRY_COMPILE is expanded from...
 autoconf/general.m4:1799: AC_CACHE_VAL is expanded from...
 autoconf/general.m4:1808: AC_CACHE_CHECK is expanded from...
 acinclude.m4:40: jm_CHECK_TYPE_STRUCT_UTIMBUF is expanded from...
-configure.in:28: the top level])
-m4trace:configure.in:28: -1- AC_DEFINE_TRACE_LITERAL([HAVE_STRUCT_UTIMBUF])
-m4trace:configure.in:28: -1- AH_OUTPUT([HAVE_STRUCT_UTIMBUF], [/* Define if struct utimbuf is declared -- usually in <utime.h>. Some systems
+configure.ac:28: the top level])
+m4trace:configure.ac:28: -1- AC_DEFINE_TRACE_LITERAL([HAVE_STRUCT_UTIMBUF])
+m4trace:configure.ac:28: -1- AH_OUTPUT([HAVE_STRUCT_UTIMBUF], [/* Define if struct utimbuf is declared -- usually in <utime.h>. Some systems
    have utime.h but don\'t declare the struct anywhere. */
 #undef HAVE_STRUCT_UTIMBUF])
-m4trace:configure.in:29: -1- AC_HEADER_MAJOR
-m4trace:configure.in:29: -1- AC_DEFINE_TRACE_LITERAL([MAJOR_IN_MKDEV])
-m4trace:configure.in:29: -1- AH_OUTPUT([MAJOR_IN_MKDEV], [/* Define to 1 if `major\', `minor\', and `makedev\' are declared in <mkdev.h>.
+m4trace:configure.ac:29: -1- AC_HEADER_MAJOR
+m4trace:configure.ac:29: -1- AC_DEFINE_TRACE_LITERAL([MAJOR_IN_MKDEV])
+m4trace:configure.ac:29: -1- AH_OUTPUT([MAJOR_IN_MKDEV], [/* Define to 1 if `major\', `minor\', and `makedev\' are declared in <mkdev.h>.
    */
 #undef MAJOR_IN_MKDEV])
-m4trace:configure.in:29: -1- AC_DEFINE_TRACE_LITERAL([MAJOR_IN_SYSMACROS])
-m4trace:configure.in:29: -1- AH_OUTPUT([MAJOR_IN_SYSMACROS], [/* Define to 1 if `major\', `minor\', and `makedev\' are declared in
+m4trace:configure.ac:29: -1- AC_DEFINE_TRACE_LITERAL([MAJOR_IN_SYSMACROS])
+m4trace:configure.ac:29: -1- AH_OUTPUT([MAJOR_IN_SYSMACROS], [/* Define to 1 if `major\', `minor\', and `makedev\' are declared in
    <sysmacros.h>. */
 #undef MAJOR_IN_SYSMACROS])
-m4trace:configure.in:30: -1- AC_FUNC_ALLOCA
-m4trace:configure.in:30: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ALLOCA_H])
-m4trace:configure.in:30: -1- AH_OUTPUT([HAVE_ALLOCA_H], [/* Define to 1 if you have <alloca.h> and it should be used (not on Ultrix).
+m4trace:configure.ac:30: -1- AC_FUNC_ALLOCA
+m4trace:configure.ac:30: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ALLOCA_H])
+m4trace:configure.ac:30: -1- AH_OUTPUT([HAVE_ALLOCA_H], [/* Define to 1 if you have <alloca.h> and it should be used (not on Ultrix).
    */
 #undef HAVE_ALLOCA_H])
-m4trace:configure.in:30: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ALLOCA])
-m4trace:configure.in:30: -1- AH_OUTPUT([HAVE_ALLOCA], [/* Define to 1 if you have `alloca\', as a function or macro. */
+m4trace:configure.ac:30: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ALLOCA])
+m4trace:configure.ac:30: -1- AH_OUTPUT([HAVE_ALLOCA], [/* Define to 1 if you have `alloca\', as a function or macro. */
 #undef HAVE_ALLOCA])
-m4trace:configure.in:30: -1- AC_LIBSOURCE([alloca.c])
-m4trace:configure.in:30: -1- AC_SUBST([ALLOCA], [alloca.$ac_objext])
-m4trace:configure.in:30: -1- AC_DEFINE_TRACE_LITERAL([C_ALLOCA])
-m4trace:configure.in:30: -1- AH_OUTPUT([C_ALLOCA], [/* Define to 1 if using `alloca.c\'. */
+m4trace:configure.ac:30: -1- AC_LIBSOURCE([alloca.c])
+m4trace:configure.ac:30: -1- AC_SUBST([ALLOCA], [alloca.$ac_objext])
+m4trace:configure.ac:30: -1- AC_DEFINE_TRACE_LITERAL([C_ALLOCA])
+m4trace:configure.ac:30: -1- AH_OUTPUT([C_ALLOCA], [/* Define to 1 if using `alloca.c\'. */
 #undef C_ALLOCA])
-m4trace:configure.in:30: -1- AC_DEFINE_TRACE_LITERAL([CRAY_STACKSEG_END])
-m4trace:configure.in:30: -1- AH_OUTPUT([CRAY_STACKSEG_END], [/* Define to one of `_getb67\', `GETB67\', `getb67\' for Cray-2 and Cray-YMP
+m4trace:configure.ac:30: -1- AC_DEFINE_TRACE_LITERAL([CRAY_STACKSEG_END])
+m4trace:configure.ac:30: -1- AH_OUTPUT([CRAY_STACKSEG_END], [/* Define to one of `_getb67\', `GETB67\', `getb67\' for Cray-2 and Cray-YMP
    systems. This function is required for `alloca.c\' support on those systems.
    */
 #undef CRAY_STACKSEG_END])
-m4trace:configure.in:30: -1- AH_OUTPUT([STACK_DIRECTION], [/* If using the C implementation of alloca, define if you know the
+m4trace:configure.ac:30: -1- AH_OUTPUT([STACK_DIRECTION], [/* If using the C implementation of alloca, define if you know the
    direction of stack growth for your system; otherwise it will be
    automatically deduced at run-time.
@@ -253,45 +240,45 @@
 	STACK_DIRECTION = 0 => direction of growth unknown */
 @%:@undef STACK_DIRECTION])
-m4trace:configure.in:30: -1- AC_DEFINE_TRACE_LITERAL([STACK_DIRECTION])
-m4trace:configure.in:31: -1- AC_STRUCT_TM
-m4trace:configure.in:31: -1- AC_DEFINE_TRACE_LITERAL([TM_IN_SYS_TIME])
-m4trace:configure.in:31: -1- AH_OUTPUT([TM_IN_SYS_TIME], [/* Define to 1 if your <sys/time.h> declares `struct tm\'. */
+m4trace:configure.ac:30: -1- AC_DEFINE_TRACE_LITERAL([STACK_DIRECTION])
+m4trace:configure.ac:31: -1- AC_STRUCT_TM
+m4trace:configure.ac:31: -1- AC_DEFINE_TRACE_LITERAL([TM_IN_SYS_TIME])
+m4trace:configure.ac:31: -1- AH_OUTPUT([TM_IN_SYS_TIME], [/* Define to 1 if your <sys/time.h> declares `struct tm\'. */
 #undef TM_IN_SYS_TIME])
-m4trace:configure.in:32: -1- AC_STRUCT_ST_BLOCKS
-m4trace:configure.in:32: -1- AC_CHECK_MEMBERS([struct stat.st_blocks], [AC_DEFINE(HAVE_ST_BLOCKS, 1,
+m4trace:configure.ac:32: -1- AC_STRUCT_ST_BLOCKS
+m4trace:configure.ac:32: -1- AC_CHECK_MEMBERS([struct stat.st_blocks], [AC_DEFINE(HAVE_ST_BLOCKS, 1,
 			     [Define to 1 if your `struct stat' has
 			      `st_blocks'.  Deprecated, use
 			      `HAVE_STRUCT_STAT_ST_BLOCKS' instead.])], [AC_LIBOBJ([fileblocks])])
-m4trace:configure.in:32: -1- AC_DEFINE_TRACE_LITERAL([HAVE_STRUCT_STAT_ST_BLOCKS])
-m4trace:configure.in:32: -1- AH_OUTPUT([HAVE_STRUCT_STAT_ST_BLOCKS], [/* Define to 1 if `st_blocks\' is member of `struct stat\'. */
+m4trace:configure.ac:32: -1- AC_DEFINE_TRACE_LITERAL([HAVE_STRUCT_STAT_ST_BLOCKS])
+m4trace:configure.ac:32: -1- AH_OUTPUT([HAVE_STRUCT_STAT_ST_BLOCKS], [/* Define to 1 if `st_blocks\' is member of `struct stat\'. */
 #undef HAVE_STRUCT_STAT_ST_BLOCKS])
-m4trace:configure.in:32: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ST_BLOCKS])
-m4trace:configure.in:32: -1- AH_OUTPUT([HAVE_ST_BLOCKS], [/* Define to 1 if your `struct stat\' has `st_blocks\'. Deprecated, use
+m4trace:configure.ac:32: -1- AC_DEFINE_TRACE_LITERAL([HAVE_ST_BLOCKS])
+m4trace:configure.ac:32: -1- AH_OUTPUT([HAVE_ST_BLOCKS], [/* Define to 1 if your `struct stat\' has `st_blocks\'. Deprecated, use
    `HAVE_STRUCT_STAT_ST_BLOCKS\' instead. */
 #undef HAVE_ST_BLOCKS])
-m4trace:configure.in:32: -1- AC_LIBSOURCE([fileblocks.c])
-m4trace:configure.in:32: -1- AC_SUBST([LIB@&t@OBJS])
-m4trace:configure.in:33: -1- AC_FUNC_CLOSEDIR_VOID
-m4trace:configure.in:33: -1- AC_HEADER_DIRENT
-m4trace:configure.in:33: -1- AH_OUTPUT([HAVE_DIRENT_H], [/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR\'.
+m4trace:configure.ac:32: -1- AC_LIBSOURCE([fileblocks.c])
+m4trace:configure.ac:32: -1- AC_SUBST([LIB@&t@OBJS])
+m4trace:configure.ac:33: -1- AC_FUNC_CLOSEDIR_VOID
+m4trace:configure.ac:33: -1- AC_HEADER_DIRENT
+m4trace:configure.ac:33: -1- AH_OUTPUT([HAVE_DIRENT_H], [/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR\'.
    */
 #undef HAVE_DIRENT_H])
-m4trace:configure.in:33: -1- AH_OUTPUT([HAVE_SYS_NDIR_H], [/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR\'.
+m4trace:configure.ac:33: -1- AH_OUTPUT([HAVE_SYS_NDIR_H], [/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR\'.
    */
 #undef HAVE_SYS_NDIR_H])
-m4trace:configure.in:33: -1- AH_OUTPUT([HAVE_SYS_DIR_H], [/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR\'.
+m4trace:configure.ac:33: -1- AH_OUTPUT([HAVE_SYS_DIR_H], [/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR\'.
    */
 #undef HAVE_SYS_DIR_H])
-m4trace:configure.in:33: -1- AH_OUTPUT([HAVE_NDIR_H], [/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR\'. */
+m4trace:configure.ac:33: -1- AH_OUTPUT([HAVE_NDIR_H], [/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR\'. */
 #undef HAVE_NDIR_H])
-m4trace:configure.in:33: -1- AC_DEFINE_TRACE_LITERAL([CLOSEDIR_VOID])
-m4trace:configure.in:33: -1- AH_OUTPUT([CLOSEDIR_VOID], [/* Define to 1 if the `closedir\' function returns void instead of `int\'. */
+m4trace:configure.ac:33: -1- AC_DEFINE_TRACE_LITERAL([CLOSEDIR_VOID])
+m4trace:configure.ac:33: -1- AH_OUTPUT([CLOSEDIR_VOID], [/* Define to 1 if the `closedir\' function returns void instead of `int\'. */
 #undef CLOSEDIR_VOID])
-m4trace:configure.in:34: -1- AC_CHECK_FUNCS([mkfifo])
-m4trace:configure.in:34: -1- AH_OUTPUT([HAVE_MKFIFO], [/* Define to 1 if you have the `mkfifo\' function. */
+m4trace:configure.ac:34: -1- AC_CHECK_FUNCS([mkfifo])
+m4trace:configure.ac:34: -1- AH_OUTPUT([HAVE_MKFIFO], [/* Define to 1 if you have the `mkfifo\' function. */
 #undef HAVE_MKFIFO])
-m4trace:configure.in:41: -1- AC_CONFIG_FILES([Makefile orxonox.lsm orxonox.spec])
-m4trace:configure.in:41: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments.
+m4trace:configure.ac:41: -1- AC_CONFIG_FILES([Makefile orxonox.lsm orxonox.spec])
+m4trace:configure.ac:41: -1- _m4_warn([obsolete], [AC_OUTPUT should be used without arguments.
 You should run autoupdate.], [])
-m4trace:configure.in:41: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
-m4trace:configure.in:41: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
+m4trace:configure.ac:41: -1- AC_SUBST([LIB@&t@OBJS], [$ac_libobjs])
+m4trace:configure.ac:41: -1- AC_SUBST([LTLIBOBJS], [$ac_ltlibobjs])
Index: /orxonox/branches/bensch/config.log
===================================================================
--- /orxonox/branches/bensch/config.log	(revision 1822)
+++ /orxonox/branches/bensch/config.log	(revision 1823)
@@ -5,5 +5,5 @@
 generated by GNU Autoconf 2.58.  Invocation command line was
 
-  $ ./configure CC=gcc CXX=g++ --no-create --no-recursion
+  $ ./configure CC=gcc --no-create --no-recursion
 
 ## --------- ##
@@ -11,11 +11,11 @@
 ## --------- ##
 
-hostname = iasius
+hostname = bonsai
 uname -m = i686
-uname -r = 2.6.3-gentoo-r1
+uname -r = 2.6.4-rc2-mm1
 uname -s = Linux
-uname -v = #1 SMP Thu Apr 1 20:37:55 MEST 2004
-
-/usr/bin/uname -p = AMD Athlon(tm) MP 2000+
+uname -v = #7 Mon Mar 22 21:20:51 MET 2004
+
+/usr/bin/uname -p = Intel(R) Pentium(R) M processor 1600MHz
 /bin/uname -X     = unknown
 
@@ -33,5 +33,5 @@
 PATH: /opt/bin
 PATH: /usr/i686-pc-linux-gnu/gcc-bin/3.3
-PATH: /opt/Acrobat5
+PATH: /opt/ati/bin
 PATH: /usr/X11R6/bin
 PATH: /opt/blackdown-jdk-1.4.1/bin
@@ -39,4 +39,5 @@
 PATH: /usr/qt/3/bin
 PATH: /usr/kde/3.2/bin
+PATH: /opt/interbase/bin
 PATH: /usr/games/bin
 
@@ -73,5 +74,5 @@
 configure:2191: gcc -v </dev/null >&5
 Reading specs from /usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/specs
-Configured with: /var/tmp/portage/gcc-3.3.2-r5/work/gcc-3.3.2/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.3 --includedir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/info --enable-shared --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --with-system-zlib --enable-languages=c,c++,f77,objc --enable-threads=posix --enable-long-long --disable-checking --enable-cstdio=stdio --enable-clocale=generic --enable-__cxa_atexit --enable-version-specific-runtime-libs --with-gxx-include-dir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include/g++-v3 --with-local-prefix=/usr/local --enable-shared --enable-nls --without-included-gettext --disable-multilib
+Configured with: /var/tmp/portage/gcc-3.3.2-r5/work/gcc-3.3.2/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/3.3 --includedir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/3.3/info --enable-shared --host=i686-pc-linux-gnu --target=i686-pc-linux-gnu --with-system-zlib --enable-languages=c,c++,f77,objc,java --enable-threads=posix --enable-long-long --disable-checking --enable-cstdio=stdio --enable-clocale=generic --enable-__cxa_atexit --enable-version-specific-runtime-libs --with-gxx-include-dir=/usr/lib/gcc-lib/i686-pc-linux-gnu/3.3.2/include/g++-v3 --with-local-prefix=/usr/local --enable-shared --enable-nls --without-included-gettext --disable-multilib
 Thread model: posix
 gcc version 3.3.2 20031218 (Gentoo Linux 3.3.2-r5, propolice-3.3-7)
@@ -932,5 +933,5 @@
 INSTALL_SCRIPT='${INSTALL}'
 INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
-ISODATE='2004-04-13'
+ISODATE='2004-04-14'
 LDFLAGS=''
 LIBOBJS=''
@@ -1043,5 +1044,5 @@
   $ ./config.status 
 
-on iasius
+on bonsai
 
 config.status:696: creating Makefile
@@ -1065,42 +1066,6 @@
   $ ./config.status config.h
 
-on iasius
+on bonsai
 
 config.status:800: creating config.h
 config.status:944: config.h is unchanged
-
-## ---------------------- ##
-## Running config.status. ##
-## ---------------------- ##
-
-This file was extended by config.status, which was
-generated by GNU Autoconf 2.58.  Invocation command line was
-
-  CONFIG_FILES    = 
-  CONFIG_HEADERS  = 
-  CONFIG_LINKS    = 
-  CONFIG_COMMANDS = 
-  $ ./config.status Makefile depfiles
-
-on iasius
-
-config.status:696: creating Makefile
-config.status:1121: executing depfiles commands
-
-## ---------------------- ##
-## Running config.status. ##
-## ---------------------- ##
-
-This file was extended by config.status, which was
-generated by GNU Autoconf 2.58.  Invocation command line was
-
-  CONFIG_FILES    = 
-  CONFIG_HEADERS  = 
-  CONFIG_LINKS    = 
-  CONFIG_COMMANDS = 
-  $ ./config.status Makefile depfiles
-
-on iasius
-
-config.status:696: creating Makefile
-config.status:1121: executing depfiles commands
Index: /orxonox/branches/bensch/config.status
===================================================================
--- /orxonox/branches/bensch/config.status	(revision 1822)
+++ /orxonox/branches/bensch/config.status	(revision 1823)
@@ -305,5 +305,5 @@
 config.status
 configured by ./configure, generated by GNU Autoconf 2.58,
-  with options \"'CC=gcc' 'CXX=g++'\"
+  with options \"'CC=gcc'\"
 
 Copyright (C) 2003 Free Software Foundation, Inc.
@@ -384,6 +384,6 @@
 
 if $ac_cs_recheck; then
-  echo "running /bin/sh ./configure " 'CC=gcc' 'CXX=g++' $ac_configure_extra_args " --no-create --no-recursion" >&6
-  exec /bin/sh ./configure 'CC=gcc' 'CXX=g++' $ac_configure_extra_args --no-create --no-recursion
+  echo "running /bin/sh ./configure " 'CC=gcc' $ac_configure_extra_args " --no-create --no-recursion" >&6
+  exec /bin/sh ./configure 'CC=gcc' $ac_configure_extra_args --no-create --no-recursion
 fi
 
@@ -505,5 +505,5 @@
 s,@SET_MAKE@,,;t t
 s,@am__leading_dot@,.,;t t
-s,@ISODATE@,2004-04-13,;t t
+s,@ISODATE@,2004-04-14,;t t
 s,@build@,i686-pc-linux-gnu,;t t
 s,@build_cpu@,i686,;t t
Index: /orxonox/branches/bensch/orxonox.lsm
===================================================================
--- /orxonox/branches/bensch/orxonox.lsm	(revision 1822)
+++ /orxonox/branches/bensch/orxonox.lsm	(revision 1823)
@@ -2,5 +2,5 @@
 Title:		orxonox
 Version:	0.0.0
-Entered-date:	2004-04-13
+Entered-date:	2004-04-14
 Description:	the future of 3D-vertical-scrollers
 		orxonox.lsm.  Generated from orxonox.lsm.in by configure.
Index: /orxonox/branches/bensch/orxonox_gui_exec.c
===================================================================
--- /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1822)
+++ /orxonox/branches/bensch/orxonox_gui_exec.c	(revision 1823)
@@ -12,4 +12,12 @@
 }
 
+void exec_verbose_mode_change(GtkWidget *widget, gpointer data)
+{
+  verbose = GPOINTER_TO_INT(data);
+  orxonox_flags_update ();
+  if (verbose >= 1)
+    printf ("Verbose-mode changed to %i.\n", verbose);
+  return;
+}
 
 
@@ -22,4 +30,6 @@
   GtkWidget *quit_button;
   GtkWidget *flags_frame;
+  GtkWidget *setting_box;
+  GtkWidget *verbose_button;
 
 
@@ -33,10 +43,38 @@
 	start_button = gtk_button_new_with_label ("Start");
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), start_button, TRUE, TRUE, 5);
+	setting_box = gtk_hbox_new(FALSE, 5);
+	{
+	  save_settings_button = gtk_check_button_new_with_label ("Save Settings");
+	  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (save_settings_button), orxonox_settings->exec_save_settings);
+	  g_signal_connect(GTK_TOGGLE_BUTTON(save_settings_button), "clicked", G_CALLBACK(exec_check_button_change), &(orxonox_settings->exec_save_settings));
+	  gtk_box_pack_start(GTK_BOX (setting_box), save_settings_button, TRUE, TRUE, 0);
+	  
+	  {
+	    GtkWidget *opt;
+	    GtkWidget *menu;
+	    GtkWidget *item;
 
-	save_settings_button = gtk_check_button_new_with_label ("Save Settings");
-	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (save_settings_button), orxonox_settings->exec_save_settings);
-	g_signal_connect(GTK_TOGGLE_BUTTON(save_settings_button), "clicked", G_CALLBACK(exec_check_button_change), &(orxonox_settings->exec_save_settings));
-	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), save_settings_button, TRUE, TRUE, 0);
+	    opt = gtk_option_menu_new ();
+	    menu = gtk_menu_new ();
 
+	    item = gtk_menu_item_new_with_label ("no verbose");     
+	    g_signal_connect (G_OBJECT (item), "activate", G_CALLBACK (exec_verbose_mode_change), GINT_TO_POINTER(0));
+	    gtk_menu_shell_append(GTK_MENU_SHELL (menu), item);
+
+	    item = gtk_menu_item_new_with_label ("verbose");
+	    g_signal_connect (G_OBJECT (item), "activate", G_CALLBACK (exec_verbose_mode_change), GINT_TO_POINTER(1));
+	    gtk_menu_shell_append(GTK_MENU_SHELL (menu), item);
+
+	    item = gtk_menu_item_new_with_label ("debug");
+	    g_signal_connect (G_OBJECT (item), "activate", G_CALLBACK (exec_verbose_mode_change), GINT_TO_POINTER(2));
+	    gtk_menu_shell_append(GTK_MENU_SHELL (menu), item);
+
+	    gtk_option_menu_set_menu (GTK_OPTION_MENU (opt), menu);
+	    gtk_option_menu_set_history (GTK_OPTION_MENU (opt), verbose);
+	    gtk_box_pack_start (GTK_BOX (setting_box), opt, TRUE, TRUE, 0);
+
+	  }
+	}
+	gtk_box_pack_start(GTK_BOX(orxonox_gui_exec_vbox), setting_box, TRUE, TRUE, 0);
 	show_menu_button = gtk_check_button_new_with_label ("Always show this Menu");
 	gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (show_menu_button), orxonox_settings->exec_show_menu);
@@ -44,5 +82,4 @@
 	gtk_box_pack_start(GTK_BOX (orxonox_gui_exec_vbox), show_menu_button, TRUE, TRUE, 0);
 	
-
 	quit_button = gtk_button_new_with_label ("quit");
 	g_signal_connect(GTK_BUTTON(quit_button), "clicked", G_CALLBACK(gtk_main_quit), NULL);
